<?php

namespace Entity;

class Product extends ModelBase
{
    protected function install()
    {
        $dbPrefix = $this->getDbPrefix();
        $result = self::$dbo->exec("CREATE TABLE IF NOT EXISTS `{$dbPrefix}product` (
            `id` INTEGER(11) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
            `parent` INTEGER(11) UNSIGNED NULL,
            `shurl` VARCHAR(255) NOT NULL,
            `priceExcl` FLOAT NULL,
            `priceIncl` FLOAT NULL,
            `ean` VARCHAR(64) NULL,
            FOREIGN KEY (`parent`) REFERENCES `{$dbPrefix}product`(id)
        )");
        if ($result === false)
            throw new \Exception(get_class().": ".self::$dbo->errorInfo()[2]);
        return true;
    }
}

